summaryrefslogtreecommitdiff
path: root/dev-python/pbr
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-11-08 08:15:20 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-11-08 08:15:20 +0000
commit756bfa715f339dfaa651765bf64e16305d851e1a (patch)
treef78bb51cab065e7185602e5d91fb67288554677b /dev-python/pbr
parent78d74e125f11c58e610d4d447d0fb4baeed53b21 (diff)
downloadbaldeagleos-repo-756bfa715f339dfaa651765bf64e16305d851e1a.tar.gz
baldeagleos-repo-756bfa715f339dfaa651765bf64e16305d851e1a.tar.xz
baldeagleos-repo-756bfa715f339dfaa651765bf64e16305d851e1a.zip
Adding metadata
Diffstat (limited to 'dev-python/pbr')
-rw-r--r--dev-python/pbr/Manifest1
-rw-r--r--dev-python/pbr/pbr-6.0.0.ebuild72
2 files changed, 73 insertions, 0 deletions
diff --git a/dev-python/pbr/Manifest b/dev-python/pbr/Manifest
index 4b45e1658cfc..de7bc8879b9e 100644
--- a/dev-python/pbr/Manifest
+++ b/dev-python/pbr/Manifest
@@ -1 +1,2 @@
DIST pbr-5.11.1.tar.gz 127597 BLAKE2B 4ed433f271b4cbed3e7baca66cbeef057d575b7b061507c45a65ba93704edbed7b6f8668e9b9766f03079aaf06dbd6c394960c1c528b1beb992db65d0c3b89e4 SHA512 466dc5ce2622c43451186698f00d405141878449ffe9f7771b0057e8356bf12b426a9bfefff7e5843f1b3f963af3ffc9c4a42fa91a9407b79617abea046ff438
+DIST pbr-6.0.0.tar.gz 123150 BLAKE2B ed41fcf9febc11fe664d3045a8ac01f7a549f770e359b29045508653bffa838d91797c4aec5d5d1eba97907e83fb199f78afa4fd6f0b6be6b93b2e5f781d4425 SHA512 35cb184b02c9bc38e839e652d1f114197b2a82255f824253e156666a07dee1d19823ab4f2fb17b1f4376c775295f533e006cb58136ee978f9989e98a3f782120
diff --git a/dev-python/pbr/pbr-6.0.0.ebuild b/dev-python/pbr/pbr-6.0.0.ebuild
new file mode 100644
index 000000000000..fbee4c9f4391
--- /dev/null
+++ b/dev-python/pbr/pbr-6.0.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_TESTED=( python3_{8,9,10,11,12} )
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Inject some useful and sensible default behaviors into setuptools"
+HOMEPAGE="
+ https://opendev.org/openstack/pbr/
+ https://github.com/openstack/pbr/
+ https://pypi.org/project/pbr/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/setuptools-60.5.0[${PYTHON_USEDEP}]
+"
+
+# git is needed for tests, see https://bugs.launchpad.net/pbr/+bug/1326682 and
+# https://bugs.gentoo.org/show_bug.cgi?id=561038 docutils is needed for sphinx
+# exceptions... https://bugs.gentoo.org/show_bug.cgi?id=603848 stestr is run as
+# external tool.
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/wheel-0.32.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.12.0[${PYTHON_USEDEP}]
+ >=dev-python/testresources-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20.0.3[${PYTHON_USEDEP}]
+ dev-vcs/git
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # TODO: investigate
+ sed -e 's:test_console_script_develop:_&:' \
+ -e 's:test_console_script_install:_&:' \
+ -e 's:test_setup_py_keywords:_&:' \
+ -i pbr/tests/test_core.py || die
+ # network
+ rm pbr/tests/test_wsgi.py || die
+ # installs random packages via pip from the Internet
+ sed -e 's:test_requirement_parsing:_&:' \
+ -e 's:test_pep_517_support:_&:' \
+ -i pbr/tests/test_packaging.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Testing on ${EPYTHON} is not supported at the moment"
+ return
+ fi
+
+ eunittest -b
+}